import time
import math
import random
import os
import re
import numpy as np

def map(v: float, x: float, y: float, a: float, b: float):
    return (v - x) / (y - x) * (b - a) + a

def sorted_nicely(l):
    convert = lambda text: int(text) if text.isdigit() else text
    alphanum_key = lambda key: [convert(c) for c in re.split('([0-9]+)', key)]
    return sorted(l, key = alphanum_key)

class Options(dict):
    __getattr__ = dict.get
    __setattr__ = dict.__setitem__
    __delattr__ = dict.__delitem__
